NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.SketchG1Constraint Class Reference

Represents a sketch G1 constraint More...

Inheritance diagram for NXOpen.SketchG1Constraint:
NXOpen.SketchGeometricConstraint NXOpen.SketchConstraint NXOpen.DisplayableObject NXOpen.NXObject NXOpen.IFitTo NXOpen.INXObject NXOpen.INXObject

Public Types

enum  SlopeType { Tangent, Normal }
 Represents the G1 slope type of the constraint More...
 

Properties

unsafe
NXOpen.SketchG1Constraint.SlopeType 
ConstraintSlopeType [get]
 Returns the slope type of the constraint. More...
 
unsafe bool IsFixedMagnitude [get]
 Returns the flag to indicate if the slope magnitude is fixed. More...
 
unsafe NXOpen.Spline Spline [get]
 Returns the spline on which the G1 constraint is applied. More...
 
unsafe NXOpen.Curve TangentGeometry [get]
 Returns the geometry supplying slope for G1 constraint. More...
 
- Properties inherited from NXOpen.SketchGeometricConstraint
unsafe bool IsInferred [get]
 Returns a flag indicating whether the constraint is an inferred constraint More...
 
- Properties inherited from NXOpen.SketchConstraint
unsafe NXOpen.Sketch.ConstraintType ConstraintType [get]
 Returns the constraint's type More...
 
- Properties inherited from NXOpen.DisplayableObject
unsafe int Color [get, set]
 Returns or sets the color of the object. More...
 
unsafe bool IsBlanked [get]
 Returns the blank status of this object. More...
 
unsafe int Layer [get, set]
 Returns or sets the layer that the object is in. More...
 
unsafe
NXOpen.DisplayableObject.ObjectFont 
LineFont [get, set]
 Returns or sets the line font of the object. More...
 
unsafe
NXOpen.DisplayableObject.ObjectWidth 
LineWidth [get, set]
 Returns or sets the line width of the object. More...
 
unsafe NXOpen.Point3d NameLocation [get]
 Returns the location of the object's name. More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.SketchGeometricConstraint
unsafe
NXOpen.Sketch.ConstraintGeometry[] 
GetGeometry ()
 Returns the geometry associated with the constraint More...
 

Detailed Description

Represents a sketch G1 constraint

Use NXOpen.Features.FeatureCollection.CreateSketchSplineBuilder to create an instance of this class.

Created in NX10.0.0

Member Enumeration Documentation

Represents the G1 slope type of the constraint

Enumerator
Tangent 

The slope geometry is tangent to spline

Normal 

The slope geometry is normal to spline

Property Documentation

unsafe NXOpen.SketchG1Constraint.SlopeType NXOpen.SketchG1Constraint.ConstraintSlopeType
get

Returns the slope type of the constraint.

Created in NX10.0.0

License requirements: None.

unsafe bool NXOpen.SketchG1Constraint.IsFixedMagnitude
get

Returns the flag to indicate if the slope magnitude is fixed.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Spline NXOpen.SketchG1Constraint.Spline
get

Returns the spline on which the G1 constraint is applied.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Curve NXOpen.SketchG1Constraint.TangentGeometry
get

Returns the geometry supplying slope for G1 constraint.

Created in NX10.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.